//
//  GeometryCalculator.m
//  Volumenrechner
//
//  Created by Holger Hinzberg on 14.01.12.
//  Copyright (c) 2012 Cocoa-Coding. All rights reserved.
//

#import "GeometryCalculator.h"

@implementation GeometryCalculator

- (double)height {
    return height;
}

- (void)setHeight:(double)value {
    if (height != value) {
        height = value;
    }
}

- (double)width {
    return width;
}

- (void)setWidth:(double)value {
    if (width != value) {
        width = value;
    }
}

- (double)length {
    return length;
}

- (void)setLength:(double)value {
    if (length != value) {
        length = value;
    }
}

- (double)calculateRectangleArea
{
    // Länge * Breite ergibt die Fläche
    return length * width;
}

- (double)calculateCuboidVolume
{
    return [self calculateRectangleArea] * height;
}

- (NSString *)description
{
    // Hier werden die verschiedenen Instanzvariablen
    // zu einer langen Zeichenkette zusammengesetzt.
    
    NSString *value =
    [NSString stringWithFormat:@"Länge: %.2f",length];
    value = [value stringByAppendingFormat:
             @" Breite: %.2f", width];
    value = [value stringByAppendingFormat:
             @" Höhe: %.2f", height];
    
    return value;
}


@end
